Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class QueryExecutor

    java.lang.Object
      com.ejie.r01f.sql.QueryExecutor

public class QueryExecutor
extends java.lang.Object

Clase Base para realizar consultas sobre la Base de Datos Puede ser extendida por EJBs, Beans, .... En el fichero de propiedades de la aplicación ES PRECISO especificar la definición de la conexión a Base de Datos (Ver com.ejie.r01f.sql.DBManager) Datasource uriDataSource

Constructor Summary
`QueryExecutor()` Constructor vacio
`QueryExecutor(java.lang.String appCode, java.lang.String conxName)` Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Method Summary
`void` | `executeDelete(java.lang.String deleteSQL)` Ejecuta una delete sobre la base de datos
`void` | `executeDelete(java.lang.String deleteSQL, java.util.List params)` Insert con parametros sobre la base de datos
`void` | `executeInsert(java.lang.String insertSQL)` Insert sin parametros sobre la base de datos
`void` | `executeInsert(java.lang.String insertSQL, java.util.List params)` Insert con parametros sobre la base de datos
`java.util.List` | `executeQuery(java.lang.String querySql)` Consulta sin parametros sobre la base de datos
`java.util.List` | `executeQuery(java.lang.String querySql, java.util.List params)` Consulta con parametros sobre la base de datos
`void` | `executeUpdate(java.lang.String updateSQL)` Update sin parametros sobre la base de datos
`void` | `executeUpdate(java.lang.String updateSQL, java.util.List params)` Update con parametros sobre la base de datos
`java.lang.String` | `loadCLOB(java.lang.String tableName, java.lang.String clobColumnName, java.util.Map pk)` Carga una columna tipo CLOB
`static void` | `main(java.lang.String[] args)` Main Method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryExecutor

    public QueryExecutor()

  Constructor vacio

### QueryExecutor

    public QueryExecutor(java.lang.String appCode,
                         java.lang.String conxName)

  Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Parameters:
  `appCode` - El codigo de aplicacion
  `conxName` - El nombre de la conexión a base de datos. Debe coincidir con un identificador de una conexión configurada en la sección del fichero properties de la aplicacion

Method Detail

### executeQuery

    public java.util.List executeQuery(java.lang.String querySql)
                                throws java.sql.SQLException

  Consulta sin parametros sobre la base de datos

  Parameters:
    `querySql` - Sentencia a ejecutar
  Returns:
    lista de resultados de la query
  Throws:
    `java.sql.SQLException`

### executeQuery

    public java.util.List executeQuery(java.lang.String querySql,
                                       java.util.List params)
                                throws java.sql.SQLException

  Consulta con parametros sobre la base de datos

  Parameters:
    `querySql` - Sentencia a ejecutar
    `params` - de parametros a incorporar en la query
  Returns:
    lista de resultados de la query en forma de una lista de filas en la que cada fila es un mapa indexado por el nombre de la columna.
  Throws:
    `java.sql.SQLException` - si ocurre algún error

### executeInsert

    public void executeInsert(java.lang.String insertSQL)
                       throws java.sql.SQLException

  Insert sin parametros sobre la base de datos

  Parameters:
    `insertSQL` - Sentencia a ejecutar
  Throws:
    `java.sql.SQLException`

### executeInsert

    public void executeInsert(java.lang.String insertSQL,
                              java.util.List params)
                       throws java.sql.SQLException

  Insert con parametros sobre la base de datos

  Parameters:
    `insertSQL` - Sentencia a ejecutar
    `params` - de parametros a incorporar en la query
  Throws:
    `java.sql.SQLException` - si ocurre algún error

### executeUpdate

    public void executeUpdate(java.lang.String updateSQL)
                       throws java.sql.SQLException

  Update sin parametros sobre la base de datos

  Parameters:
    `updateSQL` - Sentencia de actualización a ejecutar
  Throws:
    `java.sql.SQLException` - si hay un error

### executeUpdate

    public void executeUpdate(java.lang.String updateSQL,
                              java.util.List params)
                       throws java.sql.SQLException

  Update con parametros sobre la base de datos

  Parameters:
    `updateSQL` - Sentencia de actualización a ejecutar
    `params` - de parametros a incorporar en la update
  Throws:
    `java.sql.SQLException` - si ocurre algún error

### executeDelete

    public void executeDelete(java.lang.String deleteSQL)
                       throws java.sql.SQLException

  Ejecuta una delete sobre la base de datos

  Parameters:
    `deleteSQL` - sentencia delete a ejecutar
  Throws:
    `java.sql.SQLException` - si ocurre algún error

### executeDelete

    public void executeDelete(java.lang.String deleteSQL,
                              java.util.List params)
                       throws java.sql.SQLException

  Insert con parametros sobre la base de datos

  Parameters:
    `deleteSQL` - Sentencia a ejecutar
    `params` - de parametros a incorporar en la query
  Throws:
    `java.sql.SQLException` - si ocurre algún error

### loadCLOB

    public java.lang.String loadCLOB(java.lang.String tableName,
                                     java.lang.String clobColumnName,
                                     java.util.Map pk)
                              throws java.sql.SQLException

  Carga una columna tipo CLOB

  Parameters:
    `tableName` - El nombre de la tabla que contiene el BLOB
    `clobColumnName` - El nombre de la columna que contiene el blob
    `pk` - La clave primaria de la fila (nombreColumna|valor)
  Returns:
    El valor del CLOB
  Throws:
    `java.sql.SQLException` - si hay un error

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD